/*******************************************************************************
*    Robot "Giskard" 1.0.                                                      *
*    Copyright (C) 2009 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Circuits  by Marian Neubert     marian@tesla-crew.de                      *
*    Mechanism by Mario Zimmermann   mario@tesla-crew.de                       *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <avr/interrupt.h>
#include "inc/giskard.h"
#include "inc/tools.h"
#include "inc/leds.h"

/**
* Funktion um eine komplette Initialisierung, inklusiv alle Prüfungen, des
* LEDs-Subsystem
*/
void doInitLEDs()
{
//  LED_DDR |= (1<<LED1_PIN) | (1<<LED2_PIN) | (1<<LED3_PIN) | (1<<LED4_PIN) | (1<<LED5_PIN);
  LED_DDR |= (1<<LED1_PIN) | (1<<LED2_PIN) | (1<<LED3_PIN) | (1<<LED4_PIN);
  turnOffLED(LED1);
  turnOffLED(LED2);
  turnOffLED(LED3);
  turnOffLED(LED4);
  // Alle 3 LEDs hintereinander ein- und ausschalten
  turnOnLED(LED1);
  delayMS(300);
  turnOffLED(LED1);
  turnOnLED(LED2);
  delayMS(300);
  turnOffLED(LED2);

  turnOnLED(LED3);
  delayMS(300);
  turnOffLED(LED3);
  turnOnLED(LED4);
  delayMS(300);
  turnOffLED(LED4);

  EXTRALED_DDR |= (1<<EXTRALED1_PIN);
  turnOnExtraLED(LED1);
  delayMS(300);
  turnOffExtraLED(LED1);

  ledsInitialized = TRUE;
}
